/**
 * Timeline JS API.
 */

(function ($) {

  window.timelinejs_api = {};

  Drupal.behaviors.timelineJsApi = {

    attach: function(context, settings) {
      var timeline_options = {
        scale_factor: 1
      };

      var timeline_data_objects = Drupal.settings.timelinejs_api;

      for (var key in timeline_data_objects) {
        if (timeline_data_objects.hasOwnProperty(key)) {
          var timeline_data = timeline_data_objects[key];
          // Set the height of the timeline element before the timeline is
          // initialized. Otherwise the navbar and pagination controls are not
          // calculated correctly and are invisible.
          document.getElementById(timeline_data.id).style.height = '500px';

          // Create a new timeline object instance.
          window.timelinejs_api[timeline_data.id] = new TL.Timeline(timeline_data.id, timeline_data.data, timeline_options);

          window.onresize = function(event) {
            window.timelinejs_api[timeline_data.id].updateDisplay();
          }
        }
      }

      setTimeout(function() {
        // Trigger a resize event so timeline height calculations are correct.
        // This needs to run after everything else.
        window.dispatchEvent(new Event('resize'));
      }, 0);
    }
  }

})(jQuery);
